Export multiple documents as zip
curl --request GET \
--url https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{}{}Documents
Export multiple documents as zip
Export multiple documents as a zip file. Documents can be filtered by IDs and/or date range.
GET
/
api
/
r2r
/
v3
/
documents
/
download_zip
Export multiple documents as zip
curl --request GET \
--url https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.intelligence.io.solutions/api/r2r/v3/documents/download_zip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{}{}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
List of document IDs to include in the export. If not provided, all accessible documents will be included.
Filter documents created on or after this date.
Filter documents created before this date.
Response
200
The response is of type object.